"data": [
    {
        "id": 1,
        "label": "文件操作",
        "key": "file_operations",
        "link": null,
        "elementType": "button",
        "action": null,
        "parentKey": null,
        "type": null,
        "icon": "document",
        "children": [
            {
                "id": 5,
                "label": "保存文件",
                "key": "save_file",
                "link": null,
                "elementType": "menu_item",
                "action": "SaveFileComponent",
                "parentKey": "file_operations",
                "type": "item",
                "icon": "saveDoc",
                "children": []
            },
            {
                "id": 4,
                "label": "打开文件",
                "key": "open_file",
                "link": null,
                "elementType": "menu_item",
                "action": "OpenFileComponent",
                "parentKey": "file_operations",
                "type": "item",
                "icon": "openDoc",
                "children": []
            },
            {
                "id": 6,
                "label": "删除文件",
                "key": "delete_file",
                "link": null,
                "elementType": "menu_item",
                "action": "DeleteFileComponent",
                "parentKey": "file_operations",
                "type": "item",
                "icon": "delDoc",
                "children": []
            },
            {
                "id": 3,
                "label": "新建文件",
                "key": "new_file",
                "link": null,
                "elementType": "menu_item",
                "action": "NewFileComponent",
                "parentKey": "file_operations",
                "type": "item",
                "icon": "newDoc",
                "children": []
            }
        ]
    },
    {
        "id": 2,
        "label": "GIS 功能",
        "key": "gis_features",
        "link": null,
        "elementType": "button",
        "action": null,
        "parentKey": null,
        "type": null,
        "icon": "gis",
        "children": [
            {
                "id": 9,
                "label": "图层管理",
                "key": "layer_management",
                "link": null,
                "elementType": "menu_item",
                "action": "LayerManagementComponent",
                "parentKey": "gis_features",
                "type": "item",
                "icon": "layerControl",
                "children": []
            },
            {
                "id": 8,
                "label": "加载地图",
                "key": "load_map",
                "link": null,
                "elementType": "menu_item",
                "action": "LoadMapComponent",
                "parentKey": "gis_features",
                "type": "item",
                "icon": "loadMap",
                "children": []
            },
            {
                "id": 11,
                "label": "导出地图",
                "key": "export_map",
                "link": null,
                "elementType": "menu_item",
                "action": "ExportMapComponent",
                "parentKey": "gis_features",
                "type": "item",
                "icon": "exportMap",
                "children": []
            },
            {
                "id": 10,
                "label": "空间分析",
                "key": "spatial_analysis",
                "link": null,
                "elementType": "menu_item",
                "action": "SpatialAnalysisComponent",
                "parentKey": "gis_features",
                "type": "item",
                "icon": "spaAnalysis",
                "children": []
            }
        ]
    },
    {
        "id": 12,
        "label": "交互绘制",
        "key": "draw_file",
        "link": null,
        "elementType": "button",
        "action": "drawComponent",
        "parentKey": null,
        "type": "item",
        "icon": "draw",
        "children": [
            {
                "id": 15,
                "label": "点",
                "key": "point",
                "link": null,
                "elementType": "menu_item",
                "action": null,
                "parentKey": "draw_file",
                "type": "item",
                "icon": "draw",
                "children": []
            },
            {
                "id": 22,
                "label": "态势标绘",
                "key": "draw",
                "link": null,
                "elementType": "menu_item",
                "action": null,
                "parentKey": "draw_file",
                "type": "item",
                "icon": "draw",
                "children": []
            },
            {
                "id": 21,
                "label": "三角形",
                "key": "triangle",
                "link": null,
                "elementType": "menu_item",
                "action": null,
                "parentKey": "draw_file",
                "type": "item",
                "icon": "draw",
                "children": []
            },
            {
                "id": 20,
                "label": "曲线",
                "key": "curve",
                "link": null,
                "elementType": "menu_item",
                "action": null,
                "parentKey": "draw_file",
                "type": "item",
                "icon": "draw",
                "children": []
            },
            {
                "id": 19,
                "label": "圆形",
                "key": "circle",
                "link": null,
                "elementType": "menu_item",
                "action": null,
                "parentKey": "draw_file",
                "type": "item",
                "icon": "draw",
                "children": []
            },
            {
                "id": 18,
                "label": "多边形",
                "key": "polygon",
                "link": null,
                "elementType": "menu_item",
                "action": null,
                "parentKey": "draw_file",
                "type": "item",
                "icon": "draw",
                "children": []
            },
            {
                "id": 16,
                "label": "线",
                "key": "line",
                "link": null,
                "elementType": "menu_item",
                "action": null,
                "parentKey": "draw_file",
                "type": "item",
                "icon": "draw",
                "children": []
            },
            {
                "id": 17,
                "label": "折线",
                "key": "lines",
                "link": null,
                "elementType": "menu_item",
                "action": null,
                "parentKey": "draw_file",
                "type": "item",
                "icon": "draw",
                "children": []
            }
        ]
    }
]