import {defineStore} from "pinia";
import {ref} from "vue";
import  * as Cesium from  'cesium'
  const viewerStore = defineStore('viewerStore',()=>{
    const viewer = ref<Cesium.Viewer|null>(null);
    const  setViewer = (_viewer:Cesium.Viewer)=>{
        viewer.value = _viewer
    }
    const getViewer = ():Cesium.Viewer|null => {
      return viewer.value
    }
    return {setViewer,getViewer}
})
export default viewerStore;